Get a user
curl --request GET \
--url https://api.usertour.io/v2/projects/{projectId}/environments/{environmentId}/users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usertour.io/v2/projects/{projectId}/environments/{environmentId}/users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usertour.io/v2/projects/{projectId}/environments/{environmentId}/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "user",
"attributes": {},
"createdAt": "2023-11-07T05:31:56Z",
"companies": [
{
"id": "<string>",
"object": "company",
"attributes": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"memberships": [
{
"id": "<string>",
"object": "companyMembership",
"attributes": {},
"createdAt": "2023-11-07T05:31:56Z",
"companyId": "<string>",
"userId": "<string>",
"company": {
"id": "<string>",
"object": "company",
"attributes": {},
"createdAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}Users
Get a user
GET
/
v2
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
users
/
{id}
Get a user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
User external ID
Environment ID
Project ID
Query Parameters
Inline: companies, memberships, memberships.company.
Available options:
companies, memberships, memberships.company Response
User found
External user id — the id your app supplied at identify/upsert.
Available options:
user Show child attributes
Show child attributes
null = not expanded (pass expand: ["companies"]); [] = expanded, none.
Show child attributes
Show child attributes
null = not expanded (pass expand: ["memberships"]); [] = expanded, none.
Show child attributes
Show child attributes
⌘I